public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/graaff:master commit in: app-forensics/brakeman/
Date: Tue, 29 Sep 2015 08:39:54 +0000 (UTC)	[thread overview]
Message-ID: <1442989679.3b7fc94f0e3dc12b28abfde7ee90c7abd19681a5.graaff@gentoo> (raw)

commit:     3b7fc94f0e3dc12b28abfde7ee90c7abd19681a5
Author:     Hans de Graaff <hans <AT> degraaff <DOT> org>
AuthorDate: Wed Sep 23 06:27:59 2015 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Sep 23 06:27:59 2015 +0000
URL:        https://gitweb.gentoo.org/dev/graaff.git/commit/?id=3b7fc94f

app-forensics/brakeman: version bump

Package-Manager: portage-2.2.20.1

 app-forensics/brakeman/Manifest              |  1 +
 app-forensics/brakeman/brakeman-3.1.0.ebuild | 46 ++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/app-forensics/brakeman/Manifest b/app-forensics/brakeman/Manifest
index cddd395..459c966 100644
--- a/app-forensics/brakeman/Manifest
+++ b/app-forensics/brakeman/Manifest
@@ -1,2 +1,3 @@
 DIST brakeman-3.0.4.tar.gz 532012 SHA256 ebf9aa79f0c36f77d349b6016f54f2ee3d48bc9d8054717b47b87b565315cf54 SHA512 1848794171075447aec17e11da251de0b583db82d3928ec88873b1e88187277d6207b8e5971534ab9ab372ca23082907af53f089d5a7d454772c19345f7e10ef WHIRLPOOL e26ae7e983de934fea0839b0170f32f159d3d1522f700a429ecb9870bb93104dd7c7e8c09dd0d0048d9f396fb5089e84bf122abd4630f9647d9648ac044bc6cf
 DIST brakeman-3.0.5.tar.gz 532128 SHA256 c0ddd603e8b7c30faa0dda2aece5d6ff0205e8363cf797d57b16860456422526 SHA512 244658f01293cb1e9e9d9be3e1a6181299b184bc75c0cb95c26d686dca7040e404b53bdaafdf9dc9f791eddd4adf0f9dd253ac919254eeffc0a48e2db5e79fdd WHIRLPOOL 78e8c55f1014d90f60380baa34afa0c103ac08dd7664c3da858e3ae7d808487e855c00ea42d4c41eb8793c1ca771e154b191f890ad3dcdf9c0e4d8fb61d84366
+DIST brakeman-3.1.0.tar.gz 534087 SHA256 81848f88aa16ba31113df43295a5bfab4217b1119ecd8963705fa9a9b0f2d410 SHA512 535e637b1387fa20f17335c015832c53877edbb946d7ac2185c2704055a5b99f0f036f9a397110da5d22fd597bbbc2dadbc52b698f0b04700f757ede89d41a61 WHIRLPOOL 77be4d6f1eea74720f893140e8a170c33da83fed786d022551aec97684f90570ac67f520d4faae6f82c4c69c2011470c480fa5a5542e76dddcb170eb4bb3c345

diff --git a/app-forensics/brakeman/brakeman-3.1.0.ebuild b/app-forensics/brakeman/brakeman-3.1.0.ebuild
new file mode 100644
index 0000000..d28705a
--- /dev/null
+++ b/app-forensics/brakeman/brakeman-3.1.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGES FEATURES README.md WARNING_TYPES"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_GEMSPEC="brakeman.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="a static analysis tool which checks Ruby on Rails applications for security vulnerabilities"
+HOMEPAGE="http://brakemanscanner.org/"
+SRC_URI="https://github.com/presidentbeef/brakeman/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+	>=dev-ruby/erubis-2.6
+	>=dev-ruby/haml-3.0:*  <dev-ruby/haml-5:*
+	>=dev-ruby/highline-1.6.20 =dev-ruby/highline-1*
+	>=dev-ruby/multi_json-1.2 =dev-ruby/multi_json-1*
+	>=dev-ruby/ruby2ruby-2.1.1 <dev-ruby/ruby2ruby-2.3.0
+	>=dev-ruby/ruby_parser-3.7.0 =dev-ruby/ruby_parser-3*
+	>=dev-ruby/sass-3.0:* =dev-ruby/sass-3*:*
+	>=dev-ruby/slim-1.3.6 <dev-ruby/slim-4.0
+	>=dev-ruby/terminal-table-1.4.5 =dev-ruby/terminal-table-1.4*"
+
+all_ruby_prepare() {
+	# Remove fastercsv since it's a no-op on ruby19.
+	sed -i -e '/fastercsv/d' \
+		-e '/ruby_parser/ s/3.7.0/3.7/' \
+		${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	${RUBY} test/test.rb || die
+}


             reply	other threads:[~2015-09-29  8:40 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-29  8:39 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-10-27  7:07 [gentoo-commits] dev/graaff:master commit in: app-forensics/brakeman/ Hans de Graaff
2016-06-14  5:19 Hans de Graaff
2016-03-13  6:45 Hans de Graaff
2016-02-12  6:55 Hans de Graaff
2016-02-12  6:55 Hans de Graaff
2016-01-12  6:41 Hans de Graaff
2015-10-29  6:14 Hans de Graaff
2015-10-02 10:59 Hans de Graaff
2015-10-02 10:59 Hans de Graaff
2015-07-01 21:34 Hans de Graaff
2015-06-21  6:03 Hans de Graaff
2015-06-05  5:38 Hans de Graaff
2015-05-05  9:36 Hans de Graaff
2015-04-24  7:37 Hans de Graaff
2015-04-24  7:37 Hans de Graaff
2015-04-17 13:02 Hans de Graaff
2014-09-23  8:12 Hans de Graaff
2014-09-23  8:12 Hans de Graaff
2014-01-09 12:36 Hans de Graaff
2013-11-29  9:54 Hans de Graaff
2013-10-25  9:08 Hans de Graaff
2013-09-05  5:50 Hans de Graaff
2013-06-01  6:55 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1442989679.3b7fc94f0e3dc12b28abfde7ee90c7abd19681a5.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox